Loading...
Searching...
No Matches
Catch::Section Class Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Section:
[legend]
Collaboration diagram for Catch::Section:
[legend]

## Public Member Functions

| Section (SectionInfo &&info)
| Section (SourceLineInfo const &_lineInfo, StringRef _name, const char *const =nullptr)
| ~Section ()
| operator bool () const

## Private Attributes

SectionInfo | m_info
Counts | m_assertions
bool | m_sectionIncluded
Timer | m_timer

## Additional Inherited Members

Private Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Constructor & Destructor Documentation

## Section() [1/2]

Catch::Section::Section | ( | SectionInfo && | info | ) |

Here is the call graph for this function:

## Section() [2/2]

Catch::Section::Section | ( | SourceLineInfo const & | _lineInfo,
|  | StringRef | _name,
|  | const char * const | = nullptr )

## ~Section()

Catch::Section::~Section | ( |  | ) |

Here is the call graph for this function:

## Member Function Documentation

## operator bool()

Catch::Section::operator bool | ( |  | ) | const

explicit

## Member Data Documentation

## m_assertions

Counts Catch::Section::m_assertions

private

## m_info

SectionInfo Catch::Section::m_info

private

## m_sectionIncluded

bool Catch::Section::m_sectionIncluded

private

## m_timer

Timer Catch::Section::m_timer

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp